Package org.mariadb.jdbc.message.client

## Class BulkExecutePacket

- java.lang.Object
- - org.mariadb.jdbc.message.client.BulkExecutePacket

All Implemented Interfaces:
  `RedoableClientMessage`, `RedoableWithPrepareClientMessage`, `org.mariadb.jdbc.message.ClientMessage`

    public final class BulkExecutePacket
    extends Object
    implements RedoableWithPrepareClientMessage

### Constructor Summary

Constructors
`BulkExecutePacket​(Prepare prepareResult, List<Parameters> batchParameterList, String command, ServerPreparedStatement prep)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `batchUpdateLength()`
`boolean` `binaryProtocol()`
`String` `description()`
`int` `encode​(Writer writer, org.mariadb.jdbc.client.Context context, Prepare newPrepareResult)`
`String` `getCommand()`
`ServerPreparedStatement` `prep()`
`void` `saveParameters()`
`void` `setPrepareResult​(PrepareResultPacket prepareResult)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.ClientMessage

`canSkipMeta, readPacket`

### Methods inherited from interface org.mariadb.jdbc.message.client.RedoableClientMessage

`ensureReplayable`

### Methods inherited from interface org.mariadb.jdbc.message.client.RedoableWithPrepareClientMessage

`encode, reEncode, rePrepare`

### Constructor Detail

#### BulkExecutePacket

    public BulkExecutePacket​(Prepare prepareResult,
                             List<Parameters> batchParameterList,
                             String command,
                             ServerPreparedStatement prep)

### Method Detail

#### saveParameters

    public void saveParameters()

Specified by:
  `saveParameters` in interface `RedoableClientMessage`

#### encode

    public int encode​(Writer writer,
                      org.mariadb.jdbc.client.Context context,
                      Prepare newPrepareResult)
               throws IOException,
                      SQLException

Specified by:
  `encode` in interface `RedoableClientMessage`
Specified by:
  `encode` in interface `RedoableWithPrepareClientMessage`
Throws:
  `IOException`
  `SQLException`

#### batchUpdateLength

    public int batchUpdateLength()

Specified by:
  `batchUpdateLength` in interface `org.mariadb.jdbc.message.ClientMessage`

#### getCommand

    public String getCommand()

Specified by:
  `getCommand` in interface `RedoableWithPrepareClientMessage`

#### prep

    public ServerPreparedStatement prep()

Specified by:
  `prep` in interface `RedoableWithPrepareClientMessage`

#### binaryProtocol

    public boolean binaryProtocol()

Specified by:
  `binaryProtocol` in interface `org.mariadb.jdbc.message.ClientMessage`

#### description

    public String description()

Specified by:
  `description` in interface `org.mariadb.jdbc.message.ClientMessage`

#### setPrepareResult

    public void setPrepareResult​(PrepareResultPacket prepareResult)

Specified by:
  `setPrepareResult` in interface `RedoableWithPrepareClientMessage`